%define debug_package %{nil}

Name:           syncthing
Version:        0.12.6
Release:        1%{?dist}
Summary:        Syncthing
License:        MIT
URL:            http://syncthing.net/

Source0:        https://github.com/syncthing/syncthing/releases/download/v%{version}/syncthing-source-v%{version}.tar.gz

Source1:        syncthing.service
Source2:        syncthing@.service

BuildRequires:  golang
BuildRequires:  systemd

ExclusiveArch:  %{go_arches}


%description
Syncthing replaces Dropbox and BitTorrent Sync with something open, trustworthy and decentralized. Your data is your data alone and you deserve to choose where it is stored, if it is shared with some third party and how it's transmitted over the Internet.

Using syncthing, that control is returned to you.


%prep
%setup -q -n syncthing


%build
mkdir -p ./_build/src/github.com/syncthing
ln -s $(pwd) ./_build/src/github.com/syncthing/syncthing

export GOPATH=$(pwd)/_build:%{gopath}
go run build.go -no-upgrade


%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 bin/* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}/usr/lib/systemd/system
mkdir -p %{buildroot}/usr/lib/systemd/user

install -p -m 0644 %{SOURCE1} %{buildroot}/usr/lib/systemd/user/
install -p -m 0644 %{SOURCE2} %{buildroot}/usr/lib/systemd/system/


%clean
rm -rf %{buildroot}


%post
%systemd_post syncthing@.service

%preun
%systemd_preun syncthing@.service

%postun
%systemd_postun_with_restart syncthing@.service


%files
%license LICENSE

%{_bindir}/*
/usr/lib/systemd/system/syncthing@.service
/usr/lib/systemd/user/syncthing.service


%changelog
* Tue Dec 01 2015 RJ Bergeron <rbergero@gmail.com> - 0.12.6-1
- Update to upstream release 0.12.6.

* Thu Nov 26 2015 Fabio Valentini <decathorpe@gmail.com> - 0.12.4-1
- Update to version 0.12.4.

* Mon Nov 16 2015 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-1
- Update to release 0.12.3.

* Fri Nov 13 2015 Fabio Valentini <decathorpe@gmail.com> - 0.12.2-1
- Update to upstream release 0.12.2.

* Fri Nov 06 2015 Fabio Valentini <decathorpe@gmail.com> - 0.12.1-1
- Update to version 0.12.1.

* Fri Nov 06 2015 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to (incompatible) version 0.12.0.

* Mon Oct 12 2015 Fabio Valentini <decathorpe@gmail.com> - 0.11.26-3
- Use modified upstream systemd units (without syncthing-inotify dep).

* Sat Oct 10 2015 Fabio Valentini <decathorpe@gmail.com> - 0.11.26-2
- Use upstream systemd units.

* Fri Oct 02 2015 Fabio Valentini <decathorpe@gmail.com> - 0.11.26-1
- Update to version v0.11.26.

* Sun Sep 13 2015 Fabio Valentini <decathorpe@gmail.com> - 0.11.25-1
- Update to version v0.11.25.

* Thu Sep 10 2015 Fabio Valentini <decathorpe@gmail.com> - 0.11.24-1
- Update to version 0.11.24.

* Sat Sep 20 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.17-2.0
- Version update to v0.9.17

* Fri Sep 12 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.15-9
- Version update to v0.9.15

* Wed Sep 10 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.14-8
- Version updated to v0.9.14
- Spec files fixed

* Tue Sep 9 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.13-7
- Version updated to v0.9.13

* Mon Sep 1 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.10-6
- Version updated to v0.9.10
- Spec files dates fixed and re-checked.

* Wed Aug 27 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.9-5
- Version updated to v0.9.9
- Readme fixes
- Source folder path fixed

* Mon Aug 25 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.8-4
- Version updated to v0.9.8

* Sun Aug 17 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.5-3
- Version updated to v0.9.5

* Sat Aug 16 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.9.4-2
- Version updated to v0.9.4

* Mon Jul 28 2014 Onuralp SEZER <thunderbirdtr@fedoraproject.org> 0.8.21-1
- Initial Version
